/* Advokatfirman Z */

@import url("https://use.typekit.net/pje7fjp.css");

@font-face {
    font-family: 'Tiempos Headline Regular';
    font-style: normal;
    font-weight: normal;
    src: url('fonts/tiempos/TiemposHeadline-Regular.woff') format('woff');
}

/* ==========================================================================
Generellt
========================================================================== */
:root {
    /* 	Colors */
    /* --primary-color: 199, 171, 131; */
    --primary-color: 245, 235, 220;
    --secondary-color: 63, 76, 90;

    --black-color: 17, 17, 17;
    --gray-dark-color: 72, 73, 74;
    --gray-color: 130, 130, 130;
    --gray-light-color: 217, 217, 217;
    --white-color: 255, 255, 255;

    /* 	Layout  */
    --col-padding: 3rem;
    --menu-height: 6rem;
    --menu-height-scrolled: 6rem;
    --section-width: 130rem;

    /* 	Typography */
    --base-size: 1.8rem;

    /* 	Mobile nav */
    --activate-mobile-menu: 980;
    --mobile-menu-height: 6rem;
    --mobile-menu-bg: var(--black-color);
    --menu-color: var(--white-color);
}

/* Layout
========================================================================== */
.section-block {
    padding: 10rem 5rem;
}

/* Paddings */
.p-2 .section-block,
.p-2:not(.section-wrapper) {
    padding: 2rem;
}

.pt-2 .section-block,
.pt-2:not(.section-wrapper) {
    padding-top: 2rem;
}

.pb-0 .section-block,
.pb-0:not(.section-wrapper) {
    padding-bottom: 0;
}

.pb-2 .section-block,
.pb-2:not(.section-wrapper) {
    padding-bottom: 2rem;
}




/* Margins */
.mb-3 {
    margin-bottom: 3rem;
}

/* Bredder */
.mw-none .section-block-wrapper {
    max-width: none;
}

/* Ovriga klasser */
.justify-center {
    justify-content: center;
}

@media only screen and (max-width: 1024px) {
    .section-block {
        padding: 8rem 3rem;
    }
}

@media only screen and (max-width: 580px) {
    .section-block {
        padding: 5rem 2rem;
    }
}

/* Text och typsnitt
========================================================================== */
body {
    font-family: futura-pt, sans-serif;
}

/* Rubriker */
.text-label {
    padding-bottom: 1em;
    font-size: 2rem;
    font-weight: 300;
}

.section-title {
    padding-bottom: 1.5rem;
    color: rgb(var(--black-color));
    font-size: 3.5rem;
    font-weight: 300;
    font-family: 'Tiempos Headline Regular';
    line-height: 1.5em;
}

.small-title {
    padding-bottom: .3em;
    font-size: 2.5rem;
    font-weight: 400;
    line-height: 1.4;
    font-family: 'Tiempos Headline Regular';
}

.ingress {
    font-size: 2rem;
    font-weight: 400;
    line-height: 1.5;
    font-family: 'Tiempos Headline Regular';
}

/* Brodtext och lankar */
p,
li {
    color: rgb(var(--gray-dark-color));
}

a {
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

/* List-circle */
.list-circle {
    padding: 0;
    list-style: none;
}

.list-circle li::before {
    content: '\f111';
    padding: 0 1rem 0 0;
    color: rgb(var(--primary-color));
    font-weight: 700;
    font-size: .8rem;
    font-family: 'Font Awesome 5 Pro';
}

/* Ovriga klasser */
.text-block {
    max-width: 70rem;
}

.text-block-center {
    max-width: 90rem;
    margin: auto;
}

.text-bold {
    font-weight: 700;
}

.text-center {
    text-align: center;
}

@media only screen and (max-width: 1200px) {
    .section-title {
        font-size: 3.8rem;
    }

    .small-title {
        font-size: 2.2rem;
    }
}

@media only screen and (max-width: 580px) {
    .section-title {
        font-size: 2.5rem;
    }

    .small-title {
        font-size: 2rem;
    }
}

/* Knappar och speciella lankar
========================================================================== */
.btn-wrapper {
    margin-top: 2rem;
}

.btn-wrapper.center {
    text-align: center;
}

/* Knappar */
.btn {
    min-width: 15rem;
    padding: 1.2rem 2rem;
    margin: 0.7rem;
    font-size: 1.4rem;
    font-weight: 600;
    text-align: center;
    text-decoration: none;
    transition: all .4s ease;
}

.btn-white-filled {
    color: rgb(var(--black-color));
    background-color: rgb(var(--white-color));
}

/* Arrow link */
.arrow-link {
    padding-right: 1rem;
    font-size: var(--base-size);
    color: rgb(var(--primary-color));
}

.arrow-link::after {
    content: ' \f105';
    display: inline-block;
    margin-left: 1rem;
    font-weight: 400;
    font-family: 'Font Awesome 5 Pro';
    transition: transform .4s ease;
}

.arrow-link:hover::after {
    transform: translateX(1rem);
    transition: transform .4s ease;
}

/* Dropdown-knapp */
.dropdown-wrapper {
    position: relative;
}

.dropdown-wrapper.opened {
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.dropdown {
    display: none;
    z-index: 1;
    position: absolute;
    top: 4rem;
    left: -0.1rem;
    width: calc(100% + 2px);
    border-bottom-right-radius: 1rem;
    border-bottom-left-radius: 1rem;
    overflow: auto;
}

.dropdown-wrapper.opened .dropdown {
    display: grid;
}

.dropdown a:hover {
    background: rgb(var(--primary-color));
}

.dropdown-wrapper.opened .dropdown,
.dropdown-wrapper:hover .dropdown {
    display: grid;
    background: rgb(var(--white-color));
    margin-top: -0.5rem;
}

.dropdown a,
.dropdown-wrapper a {
    padding: 1rem;
    text-decoration: none;
    transition: .3s ease;

}

.flag-dropdown img {
    max-height: 2rem;
}

@media only screen and (max-width: 580px) {
    .btn {
        display: grid;
        width: 100%;
        margin: 0.5rem 0;
    }
}

/* Farger
========================================================================== */
/* Bakgrunder */
.bg-primary {
    background-color: rgb(var(--primary-color));
}

.bg-secondary {
    background-color: rgb(var(--secondary-color));
}

.bg-gray-light {
    background-color: rgb(var(--gray-light-color));
}

/* Text */
.text-primary {
    color: rgb(var(--primary-color));
}

.text-black {
    color: rgb(var(--black-color));
}

.text-white {
    color: rgb(var(--white-color));
}

.text-gray-dark {
    color: rgb(var(--gray-dark-color));
}

/* Grafiska element
========================================================================== */
/* Border */
.border-top-black {
    border-top: 0.1rem solid rgb(var(--black-color));
}

/* Bakgrundsbilder och videos
========================================================================== */
.bg-image {
    position: relative;
    overflow: hidden;
}

.bg-image-wrapper {
    z-index: -1;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* Video */
.bg-video-wrapper video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Cards
========================================================================== */
.cards-wrapper {
    display: flex;
    flex-wrap: wrap;
}

.cards-wrapper:not(.w-100) {
    margin-left: -1rem;
    margin-right: -1rem;
}

/* Bredder */
.cards-wrapper.w-33 .card-item {
    width: calc((100% / 3) - 2rem);
    margin: 1rem;
}

.cards-wrapper.w-50 .card-item {
    width: calc((100% / 2) - 2rem);
    margin: 1rem;
}

@media only screen and (max-width: 1050px) {
    /* Bredder */
    .cards-wrapper.w-33 .card-item {
        width: calc((100% / 2) - 2rem);
        margin: 1rem;
    }
}

@media only screen and (max-width: 750px) {
    .cards-wrapper.w-33 .card-item,
    .cards-wrapper.w-50 .card-item {
        width: 100%;
        margin: 1rem 0;
    }
}

/* Card 3-1 */
.card-3-1 .image-wrapper {
    max-width: 45rem;
    margin: auto;
}

/* Card 3-3 */
.card-3-3 .card-item {
    padding-bottom: 2rem;
}

.card-3-3 .card-body {
    z-index: 1;
    position: relative;
    width: 85%;
    margin: -3rem auto 0;
}

@media only screen and (max-width: 480px) {
    .card-3-3 .card-body {
        z-index: 1;
        position: relative;
        width: 90%;
        margin: -3rem auto 0;
    }
}

/* Split wrapper
========================================================================== */
.split-wrapper {
    display: flex;
    flex-wrap: wrap;
}

.split-wrapper.reverse {
    flex-direction: row-reverse;
}

.split-content {
    width: 50%;
    padding: 5rem;
}

.split-image {
    width: 50%;
}

/* Centrera content */
.split-wrapper .align-center {
    align-self: center;
}

/* Speciella bredder */
.split-wrapper .w-70 {
    width: 70%;
}

.split-wrapper .w-30 {
    width: 30%;
}

@media screen and (max-width: 1300px) {
    .split-content {
        padding: 3rem;
    }
}

@media screen and (max-width: 1100px) {

    .split-content,
    .split-wrapper .w-70,
    .split-wrapper .w-30 {
        width: 100%;
    }
}

@media screen and (max-width: 1000px) {

    .split-wrapper,
    .split-wrapper.reverse {
        flex-direction: column;
        background: transparent;
    }

    .split-content {
        width: 100%;
        max-width: 70rem;
        margin: auto;
        padding: 0 0 3rem;
        background: transparent;
    }

    .split-image {
        width: 100%;
        min-height: 20rem;
    }

    /* Centrera content */
    .split-wrapper .align-center {
        align-self: flex-start;
    }
}

/* Header / Navigation
========================================================================== */
header {
    /*background: rgb(var(--white-color));
    border-bottom: 1px solid rgb(var(--white-color));*/
    background-color: rgb(var(--gray-color));
    border-bottom: 1px solid  rgb(var(--gray-color));
}

/*.IndexPage header:not(.scrolled) {
    background-color: rgb(var(--gray-color));
    border-bottom: 1px solid  rgb(var(--gray-color));
}*/

/* Logo */
.header-logo {
    flex: 1 1 0;
}

.header-logo a {
    font-size: 2.3rem;
    text-transform: uppercase;
    text-decoration: none;
    color: rgb(var(--white-color));
}

/* Nav */
.TemplateMenu a {
    font-family: futura-pt, sans-serif;
    font-weight: 400;
    font-size: 1.6rem;
    color: rgb(var(--white-color));
    text-transform: uppercase;
}

/* CTA  */
.header-cta-wrapper {
    position: relative;
    z-index: 9;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    flex: 1 1 0px;
    padding: 0;
    margin: 0 0 0 4rem;
    list-style: none;
}

.header-cta-wrapper .btn {
    min-width: unset;
    padding: 0.2rem;
    border-radius: 1rem;
    margin: 0;
    line-height: 1;
    white-space: nowrap;
    max-width: 10rem;
}

@media only screen and (max-width: 580px) {

    /* Header logo */
    .header-logo a {
        font-size: 1.6rem;
    }
}

/* ==========================================================================
Startsida
========================================================================== */

/* Top-section
========================================================================== */
.top-section {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 80vh;
    margin-top: calc(-1 * var(--menu-height));
}

.top-section .section-block {
    width: 100%;
}

.top-section .section-title {
    font-size: 4rem;
}

.top-section .text-block {
    max-width: 72rem;
}

.top-section .logo-wrapper img {
    max-height: 22rem;
}

.flags-wrapper a {
    margin: 1rem;
}

@media only screen and (max-width: 580px) {
    .top-section .section-title {
        font-size: 2.2rem;
    }

    .top-section .logo-wrapper {
        padding-top: 4rem;
    }
}

/* Instagram
========================================================================== */
.section-instagram {
    overflow: hidden;
}

/* ==========================================================================
Undersidor
========================================================================== */

/* ==========================================================================
Undersida: Omraden > samtliga undersidor
========================================================================== */
.section-service .col-1 {
    border-left: 0.1rem solid rgb(var(--gray-light-color), .5);
}

.logo-wrapper {
    text-align: center;
}

.section-service .logo-wrapper img {
    max-width: 15rem;
    margin-bottom: 2rem;
}

@media only screen and (max-width: 980px) {
    .section-service .col-1 {
        border-left: none;
    }
}

/* ==========================================================================
Undersida: Omraden > Om oss
========================================================================== */
.section-team .border-top-black {
    margin-top: 6rem;
    margin-bottom: 6rem;
}

/* ==========================================================================
Footer
========================================================================== */
.footer {
    background: rgb(var(--primary-color));
}

.footer-container {
    margin: 0 auto;
}

/* Footer top */
.footer-top {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 8rem 0 5rem;
    border-bottom: 0.1rem solid rgb(var(--gray-dark-color));
    align-items: center;
}

.footer-menu-large {
    width: 30%;
}

.footer-menu {
    width: 20%;
    margin: 0 0 3rem;
}

.footer .text-label {
    padding: 0 0 1rem;
    line-height: 1;
    color: rgb(var(--primary-color));
}

.footer-submenu {
    padding: 0;
    margin: 0 0 3rem;
    list-style: none;
}

.footer-top p,
.footer-top a,
.footer-top li {
    font-size: 1.6rem;
    text-decoration: none;
    color: rgb(var(--gray-dark-color));
}

.footer-top a:hover {
    color: rgb(var(--white-color));
    text-decoration: none;
}

.footer img {
    max-width: 20rem;
}

/* Footer bottom */
.footer-bottom {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    padding: 2rem 0;
}

.footer-bottom p,
.footer-bottom a {
    font-size: 1.4rem;
    line-height: 1.6;
    color: rgb(var(--gray-dark-color));
}

/* WebbEss Stamp  */
.footer .webbess-stamp {
    display: flex;
    align-items: center;
    text-decoration: none;
}

.webbess-stamp img {
    width: 2.5rem;
    margin-left: 1rem;
    filter: invert(0);
}

@media only screen and (max-width: 1200px) {
    .footer {
        padding: 0 3rem;
    }

    /* Footer top */
    .footer-menu {
        width: 33.333%;
    }

    .footer-menu-large {
        width: 100%;
    }

    .footer-menu-large p {
        max-width: 55rem;
    }
}

@media only screen and (max-width: 750px) {

    .footer-container {
        text-align: center;
    }

    /* Footer top */
    .footer-menu,
    .footer-menu-large {
        width: 100%;
    }
}

@media only screen and (max-width: 580px) {
    .footer {
        padding: 0 2rem;
    }

    /* Footer top */
    .footer-top {
        padding: 5rem 0;
    }

    /* Footer bottom */
    .footer-bottom {
        flex-direction: column-reverse;
        text-align: center;
    }

    .webbess-stamp {
        margin: 0 auto 2rem;
    }
}